# Class CIM_PackageInChassis
extends CIM_Container

A Chassis can contain other Packages, such as other Chassis and Cards. The PackageInChassis association makes explicit this relationship.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_Container
|
+--CIM_PackageInChassis

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Description | string | A Chassis can contain other Packages, such as other Chassis and Cards. The PackageInChassis association makes explicit this relationship.
UMLPackagePath | string | CIM::Physical::Package
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_PackageInChassis | CIM_Chassis
PartComponent | CIM_PackageInChassis | CIM_PhysicalPackage

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
LocationWithinContainer | string | CIM_Container

## Class Methods